<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('patient_admissions', function (Blueprint $table) {
            $table->id();
            $table->string('patient_id');
            $table->string('user_id');
            $table->string('hospital_id');
            $table->string('doctor_id');
            $table->enum('treatment_plan', ['IPD']);
            $table->string('surgery_name');
            $table->string('cost');
            $table->string('stay');
            $table->string('discharge_date');
            $table->string('discharge_paper_upload');
            $table->LongText('description');
            $table->enum('status', ['1', '0']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('patient_admissions');
    }
};
